Check

A check record exposes a check transaction to REST web services.

This record is not a subrecord but has two subrecords: check item and check expense.

All elements on this record are accessible through REST web services.

The REST API Browser includes information about the field names and field types of the check record, and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's check reference page.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for the check REST record is check.

The record IDs for the check REST subrecords are:

  • item

  • expense

Limitations

Voiding of checks is not supported in REST web services. You can only void a check in the UI, which creates a voided journal entry and the original check remains and has a Voided status.

Usage Notes

Starting in 2026.1, when you set the grossAmt field for a taxable transaction line through REST web services, NetSuite recalculates the line amount field based on the applicable tax code, tax rate, and tax rounding rules. This behavior matches the NetSuite UI. In previous releases, REST web services ignored submitted grossAmt values, so setting this field didn't recalculate the line amount field.

Code Samples

These samples show common use cases for check REST methods.

Getting OpenAPI Metadata from the Metadata Catalog

              GET https://test.netsuite.com/services/rest/record/v1/metadata-catalog/check 

            

Fetching a Check Record

              GET https://test.netsuite.com/services/rest/record/v1/check/<id> 

            

Creating a Check Record

              POST https://test.netsuite.com/services/rest/record/v1/check
{ "account": "1", "balance": -171.5, "cleared": false, "createdDate": "2023-06-13T20:32:00Z", "currency": "1", "customForm": { "id": "49", "refName": "Standard Check" }, "entity": "40", "exchangeRate": 1.0, "expense": { "items": [ { "account": { "id": "64" }, "amount": 333.00, "taxCode": { "id": "99" } } ] }, "oldaccount": "151", "postingPeriod": { "id": "553", "refName": "Jun 2023" }, "prevDate": "2023-06-13", "toBePrinted": false, "tranDate": "2023-06-13", "tranId": "1"
} 

            

Updating a Check Record

              PATCH https://test.netsuite.com/services/rest/record/v1/check/<id>
{ "account": "1", "memo": "new memo"
} 

            

Deleting a Check Record

              DELETE https://test.netsuite.com/services/rest/record/v1/check/<id> 

            

Related Topics

General Notices